<?php
/*======================================================================*\
|| #################################################################### ||
|| # Youjoomla YouStorage News Slider 

|| # ---------------------------------------------------------------- # ||
|| # Copyright (C) 2006-2009 Youjoomla LLC. All Rights Reserved.        ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- THIS IS NOT FREE SOFTWARE ---------------- #      ||
|| # http://www.youjoomla.com | http://www.youjoomla.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/

// no direct access
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.mootools');
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
require_once('modules/mod_youmagazine_slider/lib/slike.php');

class modYoumagazineSliderhHelper
{
	function getYoumagazineSliderItems(&$params)
	{
		
		  $get_items             	= $params->get   ('get_items',1);
		  $nitems                	= $params->get   ('nitems',4);
		  $chars                 	= $params->get   ('chars',40);
		  $chars_nav             	= $params->get   ('chars_nav',40);
		  $ordering              	= $params->get   ('ordering',3);// 1 = ordering | 2 = popular | 3 = random 
		  $getspecific 	         	= $params->get ('getspecific');
		  $allow_tags				= $params->get ('allow_tags');
		  $allow_tags 				= str_replace(" />", ">", $allow_tags);	

		  $full_player_width  	= $params->get ('full_player_width',960);
		  $player_height      	= $params->get ('player_height',300);
		  $intro_width       	= $params->get ('intro_width',"320px");
		  $imcwidth       		= $params->get ('imcwidth',"300px");
		  $imcgeight       		= $params->get ('imcgeight',"160px");
		  $autoSlide         	= $params->get ('autoSlide',0);
		  $startElem         	= $params->get ('startElem',2);
		  $visibleItems      	= $params->get ('visibleItems',3);
		  $type_slider       	= $params->get('type_slider');
		  $sorient           	= $params->get('sorient');
		  $stime             	= $params->get('stime');
		  $sduration         	= $params->get('sduration');
		  $showtooltip       	= $params->get('showtooltip',0);
		  $showcattitle      	= $params->get('showcattitle',1);
		  $showreadmore      	= $params->get('showreadmore',1);
	
		$document = &JFactory::getDocument();
		$document->addStyleSheet(JURI::base() . 'modules/mod_youmagazine_slider/css/stylesheet.css');
		$document->addScript(JURI::base() . 'modules/mod_youmagazine_slider/script/youmagazine.js');
		$who = strtolower($_SERVER['HTTP_USER_AGENT']);
		if(preg_match("/msie 6/", $who)) {
		$document->addStyleSheet(JURI::base() . 'modules/mod_youmagazine_slider/css/ifie.php');
		}
		$document->addScriptDeclaration("
				window.addEvent('load', function(){
					new YJYoumagazine({
						outerContainer : 'YJYoumagazine_outer',
						innerContainer : 'YJYoumagazine_inner',
						elements: '.YJYoumagazine_slide',
						navigation: {
							'forward':'YJYoumagazine_right', 
							'back':'YJYoumagazine_left',
							container: 'YJYoumagazine_inner_nav',
							elements:'.YJYoumagazine_navLink',
							outer: 'YJYoumagazine_nav',
							visibleItems:$visibleItems
							
						},
						navInfo: 'YJYoumagazine_nav_info',
						navLinks: '.YJYoumagazine_navLink',
						slideType: $type_slider,
						orientation: $sorient,
						slideTime: $stime,
						duration: $sduration,
						tooltips:$showtooltip,
						autoslide:$autoSlide,
						startElem:$startElem
			
					});
				});
		");

		/* prepare database */
		$db			=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$userId		= (int) $user->get('id');
		$aid		= JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$contentConfig = &JComponentHelper::getParams( 'com_content' );
		$access		= !JComponentHelper::getParams('com_content')->get('show_noauth');
		$nullDate	= $db->getNullDate();
		$date =       & JFactory::getDate();
		$now =         $date->toMySQL(); //date('Y-m-d H:i:s');
		
		
		$where		= 'a.state = 1'
			. ' AND ( a.publish_up = '.$db->Quote($nullDate).' OR a.publish_up <= '.$db->Quote($now).' )'
			. ' AND ( a.publish_down = '.$db->Quote($nullDate).' OR a.publish_down >= '.$db->Quote($now).' )'
			;
		// select specific items
		if(!empty($getspecific)){
		$countitems = count($getspecific);
		}
		if(!empty($getspecific) && $countitems > 1 ){
			$specificitems = implode(",", $getspecific);
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}elseif(!empty($getspecific) && $countitems == 1 ){
			$specificitems = $getspecific[0];
			$specific_order= 'field(a.id,'.$specificitems.')';
			$where .= ' AND a.id IN ('.$specificitems.')';
		}else{
			$specificitems='';
			$specific_order='NULL';
			$where .= ' AND cc.id = '.$get_items.'';
		}
		/* set items order */
		$ord = array(
			1=>'ordering',
			2=>'hits',
			3=>'RAND()',
			4=>'created ASC',
			5=>'created DESC',
			6=>$specific_order
		);
		$order = $ord[$ordering];
		/* get items */
		$sql = 	'SELECT a.*, ' .
				' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'. 
				' CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug,'.
				'cc.title as cattitle'.
		
				' FROM #__content AS a' .
				' INNER JOIN #__categories AS cc ON cc.id = a.catid' .
				' WHERE '. $where .'' .
				($access ? ' AND a.access <= ' .(int) $aid. ' AND cc.access <= ' .(int) $aid : '').
				' AND cc.published = 1' .
				' ORDER BY '.$order .' LIMIT 0,'.$nitems.'';
		
		$db->setQuery( $sql );
		$load_items = $db->loadObjectList();
		
		
		$slidesYoumagazine = array();
		foreach ( $load_items as $row ) {
		if($showtooltip == 0){
			$image_title= "title=\"".$row->cattitle."::".$row->title."\"";
		}else{
			$image_title= "title=\"".$row->title."\"";
		}
			$slideYoumagazine = array(
					'date' 		=> JHTML::_('date', $row->created, '%d-%m-%Y'),
					'intro' 	=> substr(strip_tags($row->introtext,''. $allow_tags.''),0,$chars),
					'intro2'	=> substr(strip_tags($row->introtext),0,15),
					'link' 		=> htmlspecialchars(JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug)), ENT_QUOTES, 'UTF-8'),
					'cat_link' 	=> JRoute::_(ContentHelperRoute::getCategoryRoute($row->catid)),
					'img_url' 	=> $img_url = youagazine_image($row),
					'title' 	=> htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'),
					'cat_title' => htmlspecialchars($row->cattitle, ENT_QUOTES, 'UTF-8'),
					'img_out' 	=>"<img src=\"".JURI::base().$img_url."\" border=\"0\"  class=\"YJYoumagazine_link\" ".$image_title."  alt=\"\"/>",
					'img_out2'	=>"".JURI::base().$img_url.""
				);
				$slidesYoumagazine[] = $slideYoumagazine;
			} 
		
				return $slidesYoumagazine;
	}
}
?>