<?php
/*======================================================================*\
|| #################################################################### ||
|| # Multi Media Box - 3.0                                            # ||	
|| # Copyright 2006-2011 Youjoomla LLC. All Rights Reserved.         # ||
|| # ----------------     JOOMLA TEMPLATES CLUB      -----------      # ||
|| # ----------------       www.youjoomla.com	     -----------      # ||
|| # @license http://www.gnu.org/copyleft/gpl.html GNU/GPL            # ||
|| #################################################################### ||
\*======================================================================*/
if( ! defined( '_JEXEC' ) ) {
	die( 'Direct Access to ' . basename( __FILE__ ) . ' is not allowed.' ) ;
}

jimport("joomla.application.application");
$app = JFactory::getApplication();
$app->registerEvent( 'onContentAfterDisplay', 'pop_box_media');
global $app;
$mosConfig_absolute_path	= JPATH_ROOT;
$mosConfig_live_site 		= JURI :: base();
function find_part($a,$s) {
	for ($i=0;$i<count($a);$i++) {
		if (substr_count($a[$i],$s)>0) {
			return($i);
		}
	}
	return(-1);
}

function pop_box_media($context,&$row, &$params) {
	global $app;
	$mosConfig_absolute_path	= JPATH_ROOT;
	$mosConfig_live_site 		= JURI :: base();
	$database					=& JFactory::getDBO();
	$plugin 					=& JPluginHelper::getPlugin('content', 'bot_mb');
	// PARAMS
	$params_all = new JRegistry();
	$params_all->loadJSON( $plugin->params  );
	
	if($params_all->get('image_folder')){
		$image_folder= 'images/'.$params_all->get('image_folder');
	}else{
		$image_folder= 'images';
	}
if(isset($row->text)):	
	$class_name="popbox";
	$regex = '/\{mbox:(.*?)}/i';
	if(preg_match_all($regex,$row->text,$matches)){
			// load plugin script
		$document = JFactory::getDocument();
		$who = strtolower($_SERVER['HTTP_USER_AGENT']);
		JHTML::_('behavior.mootools');
		if (preg_match( "/msie/",$who) || preg_match( "/opera/",$who)){
			$cssfile ='yjmboxcss3all';
		}else{
			$cssfile ='yjmmbox';
		}
		$document->addStyleSheet(JURI::base() . 'plugins/content/bot_mb/bot_mb/css/'.$cssfile.'.css');
		$document->addScript(JURI::base() . 'plugins/content/bot_mb/bot_mb/js/yjmmbox.js');
		$document->addScript(JURI::base() . 'plugins/content/bot_mb/bot_mb/js/Quickie.js');
		$document->addScriptDeclaration('
		<!--//--><![CDATA[//><!--
		Mediabox.scanPage = function() {
		  var links = $$("a").filter(function(el) {
			return el.rel && el.rel.test(/^lightbox/i);
		  });
		  $$(links).mediabox({
			playerpath: \''.JURI::base().'plugins/content/bot_mb/bot_mb/js/NonverBlaster.swf\',
			JWplayerpath:  \''.JURI::base().'plugins/content/bot_mb/bot_mb/js/player.swf\',
			loop:'.$params_all->get('loop_image','true').',
			useNB: '.$params_all->get('use_NB','true').',
			overlayOpacity: '.$params_all->get('over_opacity','0.7').'
			}, null, function(el) {
			var rel0 = this.rel.replace(/[[]|]/gi," ");
			var relsize = rel0.split(" ");
			return (this == el) || ((this.rel.length > 8) && el.rel.match(relsize[1]));
		  });
		};
		window.addEvent("domready", Mediabox.scanPage);
		//--><!]]>
		');
		
	}
	preg_match_all($regex,$row->text,$matches);
	for ($x=0; $x<count($matches[0]); $x++) {
	
		$parts = explode("|",$matches[1][$x]);
		$href=$parts[0];
		if (find_part($parts,"title=")!=-1) {
			$t=explode("title=",$parts[find_part($parts,"title=")]);
			$title=$t[1];
		} else {
			$title="Empty title";
		}
		if (find_part($parts,"group=")!=-1) {
			$t=explode("group=",$parts[find_part($parts,"group=")]);
			$group='['.$t[1].']';
			$groupv= ''.$t[1].' ';
		} else {
			$group='';
			$groupv='';
		}
		// ADD width 
		if (find_part($parts,"width=")!=-1) {
			$t=explode("width=",$parts[find_part($parts,"width=")]);
			$img_width=$t[1];
		} else {
			$img_width="";
		}
		// ADD height 
		if (find_part($parts,"height=")!=-1) {
			$t=explode("height=",$parts[find_part($parts,"height=")]);
			$img_height=$t[1];
		} else {
			$img_height="";
		}
		// ADD CAPTION 
		if (find_part($parts,"caption=")!=-1) {
			$t=explode("caption=",$parts[find_part($parts,"caption=")]);
			$caption=$t[1];
			$show_caption="<span class=\"bot_caption\" style=\"width:".$img_width."px;height:20px;\" >".$caption."</span>";
		} else {
			$caption="";
			$show_caption="";
		}
		// ADD THUMB 
		if (find_part($parts,"thumb=")!=-1) {
			$t=explode("thumb=",$parts[find_part($parts,"thumb=")]);
			$thumb=$t[1];
		} else {
			$thumb="".$href."";
		}
		if (find_part($parts,"txt=")!=-1) {
			$t=explode("txt=",$parts[find_part($parts,"txt=")]);
			$txt=$t[1];
		} else {
			$txt="Link";
		}
		// ADD THUMB FOR VIDEO
		if (find_part($parts,"vthumb=")!=-1) {
			$t=explode("vthumb=",$parts[find_part($parts,"vthumb=")]);
			$vthumb="<img class=\"bot_thumbv\" src=\"".$mosConfig_live_site."".$image_folder."/".$thumb."\" width=\"".$img_width."\" height=\"".$img_height."\" border=\"0\" alt=\"".$title."\"/>\n";
			$vclass_name="class=\"popboxv\"";
		} else {
			$vthumb="Missing Image";
		}
		if (find_part($parts,"vthumb=")!=-1) {
			$linkis=$vthumb;
		} else if (find_part($parts,"txt=")!=-1) {
			$linkis=$txt;
			$vclass_name="";
		} else {
			$linkis='';
		}
		// GET THE MBOX
		$fp=explode('.',$href);
		if (isset($fp[1])&&(($fp[1]=="jpg")||($fp[1]=="gif")||($fp[1]=="png")||($fp[1]=="jpeg") ||($fp[1]=="JPG"))) {
			$replace="<a rel=\"lightbox".$group."\" href=\"".$mosConfig_live_site."".$image_folder."/".$href."\" title=\"".$title."\" class=\"".$class_name."\" >";
			if (find_part($parts,"thumbnone=")!=-1) {
				$t=explode("thumbnone=",$parts[find_part($parts,"thumbnone=")]);
				$replace.="";
				$show_caption="";
			} else {
				$replace.="<img class=\"bot_thumb\" src=\"".$mosConfig_live_site."".$image_folder."/".$thumb."\" width=\"".$img_width."\" height=\"".$img_height."\" border=\"0\" alt=\"".$title."\"/>\n";
			}
			$replace.="".$linkis."".$show_caption."</a>\n";
		} else {
			if (find_part($parts,"thumbnone=")!=-1) {
				$t=explode("thumbnone=",$parts[find_part($parts,"thumbnone=")]);
				$replace.="";
				$show_caption="";
			}
			$replace="<a href=\"".$href."\" title=\"".$title."\"  ".$vclass_name." rel=\"lightbox[".$groupv."".$parts[1]." ".$parts[2]."]\">".$linkis."".$show_caption."</a>\n";
		}
		

		
		
		$row->text=str_replace($matches[0][$x],$replace,$row->text);
	}
	endif;// close  if(isset($row->text)):
}
?>